/* ==========================================================================
Browser reset
========================================================================== */
*,
*::before,
*::after {
    box-sizing: border-box;
}

* {
    margin: 0;
}

:target,
section[id],
div[id] {
    scroll-margin-top: var(--total-header-height);
}

html,
body {
    margin: 0;
    padding: 0;
    border: 0;
    /*  overflow-x: hidden; */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

body {
    line-height: 1.25;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    min-height: 100vh;
    text-wrap: pretty;
}

img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}

input,
button,
textarea,
select {
    font: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    overflow-wrap: normal;
}

h1,
h2,
h3,
h4,
button,
input,
label {
    line-height: 1.1;
}

body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
    margin-block-end: 0;
}

ul[role="list"],
ol[role="list"] {
    list-style: none;
}

/* ==========================================================================
General ( VAD SKA DENNA SEKTION HETA OCH INNEHÅLLA? )
========================================================================== */
html.is-locked,
html.is-locked body {
    overflow-y: hidden !important;
}

main {
    margin: var(--header-height) 0 0 0;
}

section[div] {
    scroll-margin-top: calc(var(--total-header-height));
}

/* reCAPTCHA */
.grecaptcha-badge {
    visibility: hidden;
}

/* Cookiebot */
.CookieDeclaration * {
    font-size: initial;
    color: inherit;
}

/* ==========================================================================
Sections
========================================================================== */
.qt-section {
    padding: 0 var(--side-padding) var(--section-padding);
}

.qt-section:first-of-type {
    padding-top: var(--section-padding);
}

.qt-section .qt-section {
    padding: 0;
    margin-left: auto;
    margin-right: auto;
}

.container-fullwidth {
    padding: 0;
    margin-bottom: var(--section-padding);
}

.qt-section .container-fullwidth {
    margin-bottom: 0;
}

.container-fullwidth .container-fullwidth {
    margin: 0;
}

.container-fullwidth .container-fullwidth .qt-section__inner {
    max-width: 100%;
}

.has-background {
    border-radius: var(--radius-s);
}

.qt-section.has-background {
    padding: var(--section-padding) var(--wp--preset--spacing--space-m);
    margin-bottom: var(--section-padding);
    border-radius: 0;
}

.qt-section:last-of-type.has-background {
    margin-bottom: var(--wp--preset--spacing--space-xl);
}

.qt-section__inner.has-background {
    padding: var(--wp--preset--spacing--space-m);
}

.qt-container.has-background {
    padding: var(--wp--preset--spacing--space-m);
}

@media screen and (max-width: 670px) {
    .qt-container.has-background {
        padding: var(--wp--preset--spacing--space-m);
    }
}

/* styles - align section left */
.is-style-align-left {
}
/* styles - align section right */
.is-style-align-right {
}

.is-style-height-fit-content {
    height: fit-content;
}

/* blockstyle - horizontally stretched */
.qt-container.is-horizontally-stretched {
    grid-column: 1/-1;
    width: 100%;
}

@media screen and (max-width: 670px) {
    /* .has-background {
        padding: var(--wp--preset--spacing--space-xl) var(--wp--preset--spacing--space-s);
    } */
}

/* ==========================================================================
Containers and max-widths (vad ska denna heta? dela upp på inner-section och containers ? bara maxwidths ?)
========================================================================== */
.qt-section__inner {
    margin-left: auto;
    margin-right: auto;
    max-width: var(--max-width-default);
}

.qt-container {
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    position: relative;
}

.is-style-align-left {
    margin-left: 0;
}

.is-style-align-right {
    margin-right: 0;
}

.container-default .qt-section__inner,
.qt-section .container-default {
    max-width: var(--max-width-default);
}

.container-xs .qt-section__inner,
.qt-section .container-xs {
    max-width: var(--max-width-xs);
}

.container-s .qt-section__inner,
.qt-section .container-s {
    max-width: var(--max-width-s);
}

.container-m .qt-section__inner,
.qt-section .container-m {
    max-width: var(--max-width-m);
}

.container-l .qt-section__inner,
.qt-section .container-l {
    max-width: var(--max-width-l);
}

.container-xl .qt-section__inner,
.qt-section .container-xl {
    max-width: var(--max-width-xl);
}

.container-fullwidth .qt-section__inner {
    max-width: none;
}

/* ==========================================================================
Grids
========================================================================== */

/* With display: grid
========================================================================== */
body .grid {
    display: grid;
    grid-gap: var(--wp--preset--spacing--gutter-l);
}

body .grid-col-1 {
    grid-template-columns: minmax(0, 1fr);
    grid-gap: var(--wp--preset--spacing--gutter-xl);
}

body .grid-col-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
}

body .grid-col-3 {
    grid-template-columns: repeat(3, minmax(0, 1fr));
}

body .grid-col-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr));
}

body .grid-col-5 {
    grid-template-columns: repeat(5, minmax(0, 1fr));
}

body .grid-col-6 {
    grid-template-columns: repeat(6, minmax(0, 1fr));
}

@media screen and (max-width: 1216px) {
    body .grid-col-5,
    body .grid-col-6 {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }
}

@media screen and (max-width: 980px) {
    body .grid-col-4,
    body .grid-col-5,
    body .grid-col-6 {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    body .grid-col-3 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media screen and (max-width: 800px) {
    body .grid-col-2 {
        grid-template-columns: minmax(0, 1fr);
    }
}

@media screen and (max-width: 670px) {
    body .grid {
        grid-gap: var(--wp--preset--spacing--gutter-l);
    }

    body .grid-col-2 {
        grid-template-columns: minmax(0, 1fr);
    }

    /* b.grid-col-3, */
    body .grid-col-4,
    body .grid-col-5,
    body .grid-col-5 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media screen and (max-width: 510px) {
    body .grid-col-3,
    body .grid-col-4,
    body .grid-col-5,
    body .grid-col-6 {
        grid-template-columns: minmax(0, 1fr);
    }
}

/* With display: flex
========================================================================== */
.flex-grid {
    display: flex;
    flex-wrap: wrap;
    gap: var(--wp--preset--spacing--gutter-l);
}

.flex-grid .card {
    box-sizing: border-box;
    flex-shrink: 0;
    margin: 0;
}

.flex-grid.grid-col-4 .card {
    width: calc(25% - (var(--wp--preset--spacing--gutter-l) * 3 / 4));
}

.flex-grid.grid-col-3 .card {
    width: calc(33.33% - (var(--wp--preset--spacing--gutter-l) * 2 / 3));
}

.flex-grid.grid-col-2 .card {
    width: calc(50% - (var(--wp--preset--spacing--gutter-l) * 1 / 2));
}

@media screen and (max-width: 980px) {
    .flex-grid.grid-col-4 .card {
        width: calc(33.33% - (var(--wp--preset--spacing--gutter-l) * 2 / 3));
    }

    .flex-grid.grid-col-3 .card {
        width: calc(50% - (var(--wp--preset--spacing--gutter-l) * 1 / 2));
    }
}

@media screen and (max-width: 670px) {
    .flex-grid.grid-col-4 .card {
        width: calc(50% - (var(--wp--preset--spacing--gutter-l) * 1 / 2));
    }
}

/* 

buttons

images

typography (headings, text, links, tables, lists)

breadcrumbs

forms

input fields, selects, textareas, acceptance

accordion

*/

/* accordion */
.accordion-item {
    height: fit-content;
}

.accordion-item:last-of-type {
    margin-bottom: 0;
}

.accordion-heading * {
    pointer-events: none;
}

.accordion-heading {
    display: grid;
    grid-template-columns: repeat(2, auto);
    justify-content: space-between;
    align-items: center;
    grid-gap: var(--wp--preset--spacing--gutter-l);
    cursor: pointer;
    line-height: inherit;
    font-size: 1.25rem;
    margin: 0;
}

.accordion-icon {
    position: relative;
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.accordion-icon:before,
.accordion-icon:after {
    content: "";
    display: block;
    background-color: var(--bg-black);
    position: absolute;
    top: 50%;
    left: 0;
    transition: 250ms;
    width: 100%;
    height: 2px;
}

.accordion-icon:before {
    transform: translatey(-50%);
}

.accordion-item.is-open .accordion-icon:before {
    transform: translatey(-50%) rotate(-90deg);
    opacity: 0;
}

.accordion-icon:after {
    transform: translatey(-50%) rotate(90deg);
}
.accordion-item.is-open .accordion-icon:after {
    transform: translatey(-50%) rotate(0);
}

.accordion-content {
    max-height: 0;
    transition: max-height 150ms linear;
    overflow: hidden;
    max-width: 100%;
    height: fit-content;
    font-size: 1rem;
}

.accordion-content-inner {
    padding: 0.5rem 0 0;
}

/* inputs */
select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: transparent;
    border: none;
    padding: 0.5rem 2em 0.5rem 1em;
    border: 1px solid transparent;
    margin: 0;
    width: 100%;
    font-family: inherit;
    font-size: initial;
    cursor: pointer;
    line-height: inherit;
    border-radius: 0;
    background: rgba(255, 255, 255, 1) url("../images/chevron-down.svg")
        no-repeat;
    background-position-x: 98.5%;
    background-position-y: 50%;
}

@media screen and (max-width: 670px) {
    select {
        background-position: 97.5% 51%;
    }
}

/* ==========================================================================
Images
========================================================================== */
.wp-block-image {
    margin: 0;
}

.wp-block-image figcaption {
    margin-top: var(--wp--preset--spacing--space-s);
    font-size: var(--wp--preset--font-size-xs);
    color: var(--text-color-primary);
}

/* ==========================================================================
Fields and text areas
========================================================================== */

/* ==========================================================================
Typography
========================================================================== */
.qt-container p + h3 {
    margin-top: var(--wp--preset--spacing--space-l);
}

.qt-container p + h4 {
    margin-top: var(--wp--preset--spacing--space-l);
}

.qt-container h3 + h2 {
    margin-top: var(--wp--preset--spacing--space-l);
}

.qt-container h4 + h3 {
    margin-top: var(--wp--preset--spacing--space-l);
}

@media screen and (max-width: 980px) {
    .qt-container p + h3,
    .qt-container p + h4,
    .qt-container h3 + h2,
    .qt-container h4 + h3 {
        margin-top: var(--wp--preset--spacing--space-m);
    }
}

/* Headings
========================================================================== */
:is(h1, h2, h3, h4, h5, h6):last-child {
    margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    text-wrap: pretty;
}

/* flytta till themestyle.css */
h1 {
    margin: 0 0 var(--wp--preset--spacing--space-m) 0;
}

h2 {
    margin: 0 0 var(--wp--preset--spacing--space-m) 0;
}

h3 {
    margin: 0 0 var(--wp--preset--spacing--space-s) 0;
}

h4 {
    margin: 0 0 var(--wp--preset--spacing--space-xs) 0;
}

h5 {
    margin: 0 0 var(--wp--preset--spacing--space-xs) 0;
}

h6 {
    margin: 0 0 var(--wp--preset--spacing--space-xs) 0;
}

@media screen and (max-width: 980px) {
    h1,
    h2 {
        margin: 0 0 var(--wp--preset--spacing--space-m) 0;
    }

    h3,
    h4,
    h5,
    h6 .is-style-heading-medium {
        margin: 0 0 var(--wp--preset--spacing--space-xs) 0;
    }
}

/* Paragraph text
========================================================================== */
p {
    font-weight: var(--body-font-weight);
    margin: 0 0 var(--wp--preset--spacing--space-s) 0;
    text-wrap: pretty;
}

p:only-of-type {
    /* margin-bottom: 0; */
}

p:last-child {
    margin-bottom: 0;
}

ul,
ol {
    margin-bottom: var(--wp--preset--spacing--space-m);
}

p + ul,
p + ol {
    margin-top: var(--wp--preset--spacing--space-m);
}

p ~ ul,
p ~ ol {
    margin-bottom: var(--wp--preset--spacing--space-m);
}

ul + p ~ ul,
ol + p ~ ol {
    margin-top: var(--wp--preset--spacing--space-m);
}

:is(h1, h2, h3, h4, h5, h6) ~ :is(ul, ol) {
    margin-top: var(--wp--preset--spacing--space-m);
}

:is(ul, ol):last-child {
    margin-bottom: 0;
}

:is(ul, ol) ~ h3,
:is(ul, ol) ~ h4 {
    margin-top: var(--wp--preset--spacing--space-xl);
}

/* ta bort margin-top på buttons (?) */
p ~ .wp-block-buttons {
    margin-top: var(--wp--preset--spacing--space-m);
}

.wp-block-buttons {
    margin-bottom: var(--wp--preset--spacing--space-xl);
}

.wp-block-buttons + p {
    margin-top: var(--wp--preset--spacing--space-l);
}

.wp-block-buttons:only-of-type {
    margin-bottom: 0;
}

/* figure + :is(p, .wp-block-heading),
.wp-block-image + :is(p, .wp-block-heading) {
    margin-top: var(--wp--preset--spacing--space-xl);
} */

:is(p, .wp-block-heading) ~ figure {
    margin-top: var(--wp--preset--spacing--space-xl);
}

/* Typography spacing
========================================================================== */
h2 + h3 {
    margin-top: var(--wp--preset--spacing--space-l);
}

p + h3 {
    margin-top: var(--wp--preset--spacing--space-l);
}

p + h4 {
    margin-top: var(--wp--preset--spacing--space-l);
}

p:not(.is-style-eyebrow) ~ h2 {
    margin-top: var(--wp--preset--spacing--space-xl);
}

h3 + h2 {
    margin-top: var(--wp--preset--spacing--space-l);
}

h4 + h3 {
    margin-top: var(--wp--preset--spacing--space-l);
}

h3 ~ h4 {
    margin-top: var(--wp--preset--spacing--space-s);
}

@media screen and (max-width: 980px) {
    p + h3,
    p + h4,
    h3 + h2,
    h4 + h3 {
        margin-top: var(--wp--preset--spacing--space-m);
    }

    p:not(.is-style-eyebrow) ~ h2 {
        margin-top: var(--wp--preset--spacing--space-2-xl);
    }
}

/* single post */
.post-container .grid {
    grid-row-gap: 0;
}

.post-container .post-image .wp-block-image {
    margin-bottom: 0;
}

.post-image {
    margin-bottom: 16px;
}

.post-image img {
    aspect-ratio: var(--aspect-ratio-landscape);
    object-fit: cover;
}

.post-content {
    margin-top: 32px;
}

.post-content
    :is(p + h2, ul + h2, ol + h2, .wp-block-buttons + .wp-block-heading) {
    margin-top: var(--wp--preset--spacing--space-l);
}

.post-content .wp-block-image {
    margin: var(--wp--preset--spacing--space-l) 0;
}

.post-content h1 {
    font-size: var(--wp--preset--font-size--xl);
    margin-bottom: 1em;
}

.post-content h2:not(.accordion-heading) {
    font-size: var(--wp--preset--font-size--l);
}

.post-content h3 {
    font-size: var(--wp--preset--font-size--s);
}

.post-content :is(li, p) > strong {
    color: var(--wp--preset--color--black);
}

.post-content .wp-block-group {
    margin-top: var(--wp--preset--spacing--gutter-xl);
}

.post-meta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: var(--wp--preset--font-size--xs);
}

.post-meta p {
    margin: 0;
}

.post-meta :is(.date, .written-by) {
    color: var(--text-color-primary);
}

.post-meta .written-by a:hover {
    color: var(--text-color-secondary);
}

/* se till att bilderna utgår från center align, sätt klasser på tidigare inlägg */
.post-container .wp-block-image {
    margin-left: auto;
    margin-right: auto;
}

.post-container .is-style-aspect-ratio-square {
    max-width: 600px;
}

.post-container .is-style-aspect-ratio-landscape {
    max-width: 100%;
}

.post-container .is-style-aspect-ratio-portrait {
    max-width: 400px;
}

@media screen and (max-width: 510px) {
    .written-by {
        display: none;
    }
}

/* Paragraph text
========================================================================== */
p {
    font-weight: 500;
    margin: 0 0 var(--wp--preset--spacing--space-s) 0;
    text-wrap: pretty;
}

p:last-of-type {
    /* margin: 0; */
}

.is-style-caption {
    font-size: var(--wp--preset--font-size--xs);
}

p.is-style-paragraph-small {
    font-size: var(--wp--preset--font-size--xs);
}

p.is-style-paragraph-ingress {
    font-size: var(--wp--preset--font-size--s);
}

p.is-style-paragraph-large {
    font-size: var(--wp--preset--font-size--l);
    font-weight: 700;
}

.is-style-eyebrow {
    font-size: 1rem;
    margin: 0 0 var(--wp--preset--spacing--space-m);
    color: initial;
}

/* .is-style-eyebrow::before {
    content: url(../images/dot.svg);
    margin-inline-end: 8px;
} */

/* Links
========================================================================== */

/* Lists
========================================================================== */

/* Tables (egen sektion ? )
========================================================================== */

/* ==========================================================================
Sliders - splide.js
========================================================================== */
.splide__list {
    margin: 0;
    list-style-image: none;
}

.splide__slide {
    padding: 0;
    margin: 0;
}

.splide__arrow:disabled {
    cursor: not-allowed;
}

/* ==========================================================================
Buttons
========================================================================== */
.wp-block-buttons {
    display: flex;
    flex-wrap: wrap;
    margin-top: var(--wp--preset--spacing--space-l);
    gap: var(--wp--preset--spacing--space-s);
}

.wp-block-buttons.is-style-button-spacing-small {
    margin-top: var(--wp--preset--spacing--space-s);
}

.wp-block-button .wp-block-button__link {
    display: inline-block;
    line-height: 1;
    cursor: pointer;
    transition: all 150ms linear;
    padding: var(--btn-padding-y) var(--btn-padding-x);
    border-radius: var(--btn-radius);
    border: var(--btn-border);
    font-size: var(--btn-font-size);
}

@media screen and (max-width: 980px) {
    .wp-block-buttons {
        margin: var(--wp--preset--spacing--space-m) 0 0 0;
    }
}

/* ==========================================================================
Forms 
========================================================================== */

/* Text and fields
========================================================================== */
.wpcf7-form {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: var(--wp--preset--spacing--gutter-l);
    margin-top: var(--wp--preset--spacing--space-l);
}

.wpcf7-form * {
    text-align: left;
}

.wpcf7-form p {
    margin-bottom: unset;
    position: relative;
}

.wpcf7-form label {
    display: flex;
    grid-gap: var(--wp--preset--spacing--gutter-s) 0;
    align-items: flex-start;
}

.wpcf7-form p:has(.wpcf7-validates-as-required) label::after {
    content: "";
    margin: 0;
    padding: 0.15em;
    background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 128 128"><path fill="%23121212" d="M110 16 76 57v1l51-10v32l-51-9-1 1 35 39-28 17-18-50-1 1-18 49-28-17 34-40-50 9V48l50 10v-1L17 17 46 1l17 48h1L82 1l28 15z"/></svg>')
        no-repeat 0 25%;
    opacity: 0.6;
}

.wpcf7-form p span :is(select, textarea, input:not([type="checkbox"])) {
    width: 100%;
    margin: 0;
    border: 1px solid black;
    padding: var(--wp--preset--spacing--space-xs);
    border-radius: 0;
    background-color: #ffffff;
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
}

.wpcf7-list-item {
    margin-left: unset;
}

.wpcf7-form .hidden {
    display: none;
}

.wpcf7-radio .wpcf7-list-item {
    display: grid;
    grid-template-columns: 24px auto;
    grid-gap: var(--wp--preset--spacing--gutter-s);
}

.wpcf7-form :is(select, textarea, input):focus {
    outline: none;
}

/* Error message
========================================================================== */
.wpcf7-not-valid-tip,
.wpcf7 form .wpcf7-response-output {
    color: #dc3232;
    font-size: var(--wp--preset--font-size--xs);
    font-weight: inherit;
    display: block;
    border: none;
    margin-top: var(--wp--preset--spacing--space-xs);
    padding: 0;
    text-align: left;
    font-family: var(--font-text);
    width: fit-content;
}

.wpcf7 form .wpcf7-response-output:last-of-type {
    margin-top: var(--wp--preset--spacing--space-s);
    grid-column: 1/3;
}

.wpcf7 form.sent .wpcf7-response-output {
    border: 1px solid #46b450 !important;
    padding: var(--wp--preset--spacing--space-xs)
        var(--wp--preset--spacing--space-s);
    color: #46b450;
}

.wpcf7 form .wpcf7-response-output {
    margin: 0 !important;
}

/* Acceptance
========================================================================== */
.wpcf7-acceptance label {
    grid-gap: var(--wp--preset--spacing--gutter-s);
    display: grid;
    grid-template-columns: auto auto;
}

.wpcf7-form .wpcf7-acceptance .wpcf7-list-item-label,
.wpcf7-form .wpcf7-acceptance .wpcf7-list-item-label a {
    font-size: var(--text-xs);
    line-height: var(--body-line-height);
}

.wpcf7-form .acceptance,
.wpcf7-form .acceptance a {
    font-size: var(--wp--preset--font-size--s);
    line-height: normal;
    text-align: left;
    text-transform: initial;
    letter-spacing: initial;
    font-family: inherit;
}

/* Submit
========================================================================== */
.wpcf7-form .submit {
    display: flex;
    justify-content: flex-start;
    grid-column: 1/3;
}

.wpcf7-form input[type="submit"],
.wpcf7-form input[type="submit"]:disabled,
.form-calendar input[type="submit"],
.form-calendar input[type="submit"]:disabled {
    transition: all 150ms linear;
    cursor: pointer;
    line-height: 1;
}

.wpcf7-spinner {
    display: none;
}

.wpcf7 .wpcf7-submit:disabled,
.wpcf7-form input[type="submit"]:disabled,
.form-calendar input[type="submit"]:disabled {
    cursor: not-allowed;
}

/* ==========================================================================
WP dashboard and Gutenberg editor
========================================================================== */

/* Admin bar
========================================================================== */
.admin-bar header {
    top: 32px;
}

.admin-bar .hamburger-menu {
    margin-top: calc(var(--total-header-height) + 32px);
    padding-bottom: calc(var(--total-header-height) + 32px);
}

@media (max-width: 782px) {
    #wpadminbar {
        position: fixed;
    }

    #wpadminbar li > .ab-item {
        width: 4rem !important;
    }

    .admin-bar header {
        top: 46px;
    }

    .admin-bar .hamburger-menu {
        margin-top: calc(var(--total-header-height) + 46px);
        padding-bottom: calc(var(--total-header-height) + 46px);
    }

    .admin-bar .woocommerce-sidebar {
        top: unset;
    }
}
